> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/numbers-api/api-reference/events.md).

# Events

This page provides a comprehensive overview of the partial event payload structure for numbers of all types and their relevant information.

## endpoint

This event is triggered by any updates to a number, from its creation to the activation of a capability. Each numerical type is clearly specified within the event payload in a field named `type`, along with other relevant information:

* Toll-free numbers
* Long codes
* Short codes
* Alphanumeric sender IDs

Each event has a root `issues` field containing a string with related issues. The `issues` field may include various types of issues, such as:

* subscription-is-not-active
* setup-fee-is-not-paid
* capability-is-not-supported
* compliance-requirement-not-satisfied
* brand-not-ready
* destination-brand-not-ready
* use-case-not-ready

Each event includes a `capabilities` root field. This field is an array of objects, each detailing the `name`, `status`, and `issues` for both `inbound` and `outbound` capabilities.

## Additional events

* [10DLC Events](/api/numbers-api/api-reference/10dlc-compliance/events.md)
* [Toll-Free Number Events](/api/numbers-api/api-reference/toll-free-numbers-verification-api/events.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bird.com/api/numbers-api/api-reference/events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
